List Reddit comments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /reddit/{caseId}/profile/{redditId}/comments

Returns one page of comments made by a Reddit profile in the case, sorted by date; search by body or subreddit. On a case shared with opposing counsel, a profile the caller may not see returns an empty page.

Path parameters

  • caseId string Required
  • redditId string Required

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • searchText string

    Search body, subreddit

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • externalId string Required
        • date string(date-time) | null Required
        • ip string | null Required
        • subreddit string | null Required
        • gildings number Required
        • parent string | null Required
        • body string | null Required
        • media string | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /reddit/{caseId}/profile/{redditId}/comments
curl \
 --request GET 'http://api.example.com/reddit/{caseId}/profile/{redditId}/comments' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "externalId": "k9x2abc",
        "permalink": "https://www.reddit.com/r/legaladvice/comments/17abcde/question_about_a_lease/k9x2abc/",
        "date": "2026-01-15T14:30:00.000Z",
        "ip": "203.0.113.42",
        "subreddit": "legaladvice",
        "gildings": 0,
        "link": "https://www.reddit.com/r/legaladvice/comments/17abcde/question_about_a_lease/",
        "parent": "k9x1zzz",
        "body": "Check clause 4 before you sign.",
        "media": "string"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}